BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/publishing/instagram

Schedule a completed project export for Instagram. MP4/MOV exports publish as Reels; ZIP carousel exports with JPEG slides publish as carousel posts. Trial mode is only applied to Reels.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/publishing/instagram" \  -H "Content-Type: application/json" \  -d '{}'
{  "post_id": "string",  "target_id": "string",  "platform": "instagram",  "status": "scheduled",  "scheduled_for": "string",  "connection_id": "string",  "export_id": "string",  "project_id": "string",  "publish_kind": "reel",  "next_actions": [    {      "method": "GET",      "path": "string",      "reason": "string"    }  ]}